<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>List Barcode</title>
    <style type="text/css">
        @page
        {

            size: A3;   /* auto is the current printer page size */
            margin: 12mm;  /* this affects the margin in the printer settings */
        }

        @media print {
            #printPageButton {
                display :  none;
            }
            #row {
                display :  none;
            }
            #jumlah{
                display: none;
            }
        }
        .pagination {
            display: inline-block;
        }

        .pagination a {
            color: black;
            float: left;
            padding: 8px 16px;
            text-decoration: none;
        }
    </style>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
<div class="row" style="margin: 10px;">
    <div class="col-md-12 text-center">
        <button id="printPageButton" class="btn btn-danger" onClick="window.print();">Print</button>
    </div>
</div>
<div class="row" id="row">
    <div class="col-md-4"></div>
    <div class="col-md-4 text-center">
        <div class="pagination" sd:pagination="full">
            <a href="#">&laquo;</a>
            <a href="#">1</a>
            <a href="#">2</a>
            <a href="#">3</a>
            <a href="#">4</a>
            <a href="#">5</a>
            <a href="#">6</a>
            <a href="#">&raquo;</a>
        </div>
    </div>
    <div class="col-md-4"></div>

</div>

<div class="row">
    <div class="col-md-12" th:each="data, row:${list}">
        <div class="row">
            <div class="col-md-12 text-center"><h3 th:text="${'Nama : ' + data.namaAset + ' | Ruangan : ' + data.ruangan.namaRuangan}"></h3></div>
            <div class="col-md-12 text-center" id="jumlah"><h2 th:text="${'Jumlah = ' + data.jumlah}"></h2></div>
            <div style="margin-top: 50px;"></div>

            <div class="col-md-12" style="border: 1px solid;">
                <img th:src="@{/masters/aset/{aset}(aset = ${data.id})}" width="100%" height="100%">
            </div>
            <div style="margin: 50px;"></div>
            <div class="col-md-12 text-center"><h1>INVENTARIS INSTITUT AGAMA ISLAM TAZKIA</h1></div>


        </div>
    </div>
</div>

</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>


<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.4.1/html2canvas.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.0.272/jspdf.debug.js"></script>
<!--<script>-->
<!--    function printpage()-->
<!--    {-->
<!--        window.print()-->
<!--    }-->

<!--    var doc = new jsPDF('p','pt','letter');-->
<!--    var content = $('#content');-->
<!--    doc.addHTML(document.body,function() {-->
<!--        doc.save('sample-file.pdf');-->
<!--    });-->

<!--</script>-->

</html>